@charset "UTF-8";
.navlink {
  cursor: pointer;
  color: #8d77fb;
}
.button {
  display: inline-block;
  min-width: 80px;
  height: 32px;
  padding: 0 10px;
  line-height: 30px;
  border-radius: 4px;
  font-size: 14px;
  outline: none;
  color: #fff;
  background-color: #ea5947;
  border: 1px solid #ea5947;
  vertical-align: middle;
}

.button:disabled {
  color: #bbbbbb !important;
  background-color: #ededed !important;
  border-color: #ededed !important;
}

.button.small {
  height: 28px;
  line-height: 26px;
}

.button.large {
  height: 42px;
  line-height: 40px;
}

.button-red-solid {
  color: #fff;
  background-color: #ea5947;
  border-color: #ea5947;
}

.button-red-solid:hover, .button-red-solid:focus {
  background-color: #ee7a6c;
  border-color: #ee7a6c;
}

.button-red-solid:active {
  background-color: #ea5947;
  border-color: #ea5947;
}

.button-red-hollow {
  color: #ea5947;
  background-color: #fff;
  border-color: #e3e3e9;
}

.button-red-hollow:hover, .button-red-hollow:focus {
  border-color: #ea5947;
}

.button-red-hollow:active {
  color: #fff;
  background-color: #ea5947;
  border-color: #ea5947;
}

.button-black-hollow {
  color: #444444;
  background-color: #fff;
  border-color: #e3e3e9;
}

.button-black-hollow:hover, .button-black-hollow:focus {
  border-color: #ea5947;
}

.button-black-hollow:active {
  color: #ea5947;
  border-color: #ea5947;
}

.button-disabled {
  color: #bbbbbb !important;
  background-color: #ededed !important;
  border-color: #ededed !important;
}

.button-radius {
  border-radius: 100px;
}

.button-icon {
  outline: none;
  border: none;
  padding: 0;
  background-color: transparent;
}

button a,
button a:hover,
button a:focus {
  text-decoration: none;
  color: #ea5947;
}

button:active a {
  color: #fff;
}

.text-primary {
  color: #ea5947;
}

.ellipsis-one {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.ellipsis-two {
  overflow: hidden;
  text-overflow: ellipsis;
  display: box;
  display: -webkit-box;
  box-orient: vertical;
  line-clamp: 2;
  -webkit-line-clamp: 2;
}

.page-header-container {
  background-color: #fff;
}

.page-header-container .page-header {
  padding: 8px 0;
}

.page-header-container .page-header h4 {
  margin: 0;
  float: left;
  line-height: 32px;
  font-weight: bolder;
}

.page-body-container {
  position: absolute;
  top: 48px;
  bottom: 0;
  left: 0;
  right: 0;
}

.page-header,
.page-body {
  width: 1170px;
  margin: 0 auto;
  border-bottom: none;
}

@media (max-width: 1200px) {
  .page-header,
  .page-body {
    width: 980px;
  }
}

.checkbox-group {
  position: relative;
  width: 18px;
  height: 18px;
  margin-bottom: 0;
}

.checkbox-group input {
  display: none;
}

.checkbox-group input + i {
  position: absolute;
  top: 0;
  left: 0;
  line-height: 16px;
  color: #fff;
  background-color: #fff;
  border: solid 1px #cbcbd1;
  border-radius: 3px;
  cursor: pointer;
}

.checkbox-group input:checked + i {
  color: #fff;
  background-color: #ea5947;
  border-color: #ea5947;
}

.custom-checkbox-group {
  display: inline-block;
  font-size: 0;
  vertical-align: middle;
  cursor: pointer;
}

.custom-checkbox-group .checkbox {
  display: inline-block;
  width: 14px;
  height: 14px;
  border-radius: 2px;
  border: 1px solid #e3e3e9;
  background-color: #fff;
  vertical-align: middle;
  line-height: 12px;
  font-size: 14px;
}

.custom-checkbox-group .checkbox .iconfont {
  font-size: 12px;
  line-height: 1;
  color: #fff;
}

.custom-checkbox-group .checkbox.active {
  border-color: #ea5947;
  background-color: #ea5947;
  color: #fff;
}

.custom-checkbox-group .checkbox-label {
  display: inline-block;
  font-size: 14px;
  vertical-align: middle;
}

.custom-checkbox-group:hover .checkbox, .custom-checkbox-group:focus .checkbox {
  border-color: #ea5947;
}

.custom-radio-group {
  display: inline-block;
  cursor: pointer;
}

.custom-radio-group .radio-btn {
  position: relative;
  display: inline-block;
  margin-right: 2px;
  width: 14px;
  height: 14px;
  border-radius: 100%;
  border: 1px solid #ea5947;
  vertical-align: middle;
}

.custom-radio-group .radio-label {
  display: inline-block;
  vertical-align: middle;
}

.custom-radio-group:hover .radio-label, .custom-radio-group:focus .radio-label {
  color: #969696;
}

.custom-radio-group.active .radio-btn {
  background-color: #ea5947;
  border: none;
}

.custom-radio-group.active .radio-btn:after {
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  display: block;
  width: 6px;
  height: 6px;
  border-radius: 100%;
  background-color: #fff;
}

.input-search-group {
  position: relative;
  display: inline-block;
  width: 160px;
  height: 36px;
  border-radius: 100px;
  font-size: 14px;
  background-color: #fff;
  vertical-align: middle;
  border: 1px #e3e3e9 solid;
}

.input-search-group .text-input {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding-left: 16px;
  padding-right: 34px;
  background-color: transparent;
  border: none;
  outline: none;
}

.input-search-group .text-input:-moz-placeholder {
  /* Mozilla Firefox 4 to 18 */
  color: #969696;
}

.input-search-group .text-input::-moz-placeholder {
  /* Mozilla Firefox 19+ */
  color: #969696;
}

.input-search-group .text-input:-ms-input-placeholder {
  color: #969696;
}

.input-search-group .text-input::-webkit-input-placeholder {
  color: #969696;
}

.input-search-group .glyphicon {
  position: absolute;
  margin: auto;
  top: 0;
  bottom: 0;
  right: 10px;
  height: 16px;
  font-size: 16px;
  color: #cbcbd1;
  cursor: pointer;
}

.contest-operation-modal .modal-dialog .modal-body {
  height: 400px;
}

.contest-operation-modal .modal-dialog .modal-body .modal-left {
  width: 180px;
  overflow-y: auto;
  position: relative;
  height: 100%;
  border-right: 1px #e3e3e9 solid;
  padding-top: 20px;
}

.contest-operation-modal .modal-dialog .modal-body .modal-left .redColor {
  color: #ea5947;
  font-style: normal;
}

.contest-operation-modal .modal-dialog .modal-body .modal-left .school-list {
  position: relative;
}

.contest-operation-modal .modal-dialog .modal-body .modal-left .school-list li {
  margin-top: 15px;
  cursor: pointer;
}

.contest-operation-modal .modal-dialog .modal-body .modal-right {
  width: 570px;
  padding: 20px 0 0 30px;
}

.contest-operation-modal .modal-dialog .modal-body .modal-right .school-list {
  margin-top: 20px;
  max-height: 280px;
  overflow-y: auto;
  position: relative;
}

.contest-operation-modal .modal-dialog .modal-body .modal-right .school-list li {
  margin-top: 10px;
  cursor: pointer;
}

.contest-operation-modal .modal-dialog .modal-body .modal-right .school-list .selectAll-li {
  margin-top: 0;
}

.contest-operation-modal .modal-dialog .modal-body .checkbox-contest {
  width: 14px;
  height: 14px;
  border: 1px #e3e3e9 solid;
  text-align: center;
  margin-right: 6px;
  color: #969696;
  font-size: 14px;
  cursor: pointer;
}

.contest-operation-modal .modal-dialog .modal-body .notCheck {
  color: #fff;
}

.contest-operation-modal .modal-dialog .contest-pagination-wrapper {
  text-align: center;
}

.contest-operation-modal .modal-dialog .contest-pagination-wrapper .pagination-wrap {
  display: inline-block;
}

.contest-operation-modal .modal-dialog .modal-footer {
  background-color: #efeff7;
}

@media (max-width: 768px) {
  .modal.modal-up.fade .modal-dialog {
    transition: transform .3s ease-out;
    transform: translate(0, 100%);
  }
}

.modal.modal-up.in {
  overflow-y: hidden;
}

.modal.modal-up.in .modal-dialog {
  transform: translate(0, 0);
}

.label-status {
  display: inline-block;
  border: solid 9px #fff;
  border-right-color: transparent;
  border-left: none;
  line-height: 0;
  padding: 0 6px;
  font-size: 12px;
  color: #fff;
}

.label-status.finished {
  border-color: #bbbbbb;
  border-right-color: transparent;
}

.label-status.unpublished {
  border-color: #b4b4f6;
  border-right-color: transparent;
}

.label-status.published {
  border-color: #ea5947;
  border-right-color: transparent;
}

.dropdown,
.dropdown.open {
  width: 110px;
}

.dropdown .dropdown-toggle.btn-default,
.dropdown.open .dropdown-toggle.btn-default {
  width: 100%;
  padding: 5px 12px 5px 5px;
  background-color: #fff;
  color: #969696;
  border-color: #e3e3e9;
  outline: none;
  text-align: left;
}

.dropdown .dropdown-toggle.btn-default .item-selected,
.dropdown.open .dropdown-toggle.btn-default .item-selected {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.dropdown .dropdown-toggle.btn-default span,
.dropdown.open .dropdown-toggle.btn-default span {
  display: inline-block;
  width: 140px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  vertical-align: middle;
}

.dropdown .dropdown-toggle.btn-default .caret,
.dropdown.open .dropdown-toggle.btn-default .caret {
  width: auto;
}

.dropdown .dropdown-toggle.btn-default:focus,
.dropdown.open .dropdown-toggle.btn-default:focus {
  border-color: #e3e3e9;
  background-color: #fff;
}

.dropdown .dropdown-toggle.btn-default:active,
.dropdown.open .dropdown-toggle.btn-default:active {
  box-shadow: none;
}

.dropdown .dropdown-menu,
.dropdown.open .dropdown-menu {
  width: 100%;
  min-width: auto;
  padding: 0;
  max-height: 290px;
  overflow: hidden;
  border: solid 1px #e3e3e9;
}

.dropdown .dropdown-menu li,
.dropdown.open .dropdown-menu li {
  line-height: 32px;
  padding: 0 5px;
  color: #444444;
  cursor: pointer;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.dropdown .dropdown-menu li:hover,
.dropdown.open .dropdown-menu li:hover {
  background-color: #efeff7;
}

.btn-group-normal {
  float: left;
  width: 120px;
  line-height: 20px;
  font-weight: normal;
  background-color: #fff;
}

.btn-group-normal .btn-default {
  float: none;
  width: 100%;
  min-height: 36px;
  padding: 7px 12px 7px 10px;
  line-height: 20px;
  text-align: left;
  border-color: #e3e3e9;
  color: #969696;
  background-color: #fff;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  border-radius: 0;
}

.btn-group-normal .btn-default:focus {
  box-shadow: none !important;
  color: #969696;
  border-color: #e3e3e9 !important;
  background-color: #fff;
}

.btn-group-normal .btn-default.disabled {
  color: #bbbbbb;
  background-color: #ededed;
}

.btn-group-normal .btn-default.disabled:hover {
  border-color: #e3e3e9;
}

.btn-group-normal .btn-default .gradingruleName {
  color: #ea5947;
}

.btn-group-normal .btn-default .caret {
  position: absolute;
  top: 13px;
  right: 10px;
  border-top-width: 5px;
}

.btn-group-normal.open .dropdown-toggle {
  box-shadow: none;
}

.btn-group-normal.open .dropdown-toggle.btn-default {
  color: #969696 !important;
  border-color: #e3e3e9 !important;
  background-color: #fff;
}

.btn-group-normal .dropdown-menu {
  width: 100%;
  min-width: 100%;
  margin: 0;
  padding: 0;
  top: 40px;
  border-color: #e3e3e9;
  box-shadow: 0 0 10px #cbcbd1;
  overflow: hidden;
}

.btn-group-normal .dropdown-menu li {
  font-size: 14px;
  color: #444444;
  padding: 5px 10px;
  line-height: 20px;
  cursor: pointer;
}

.btn-group-normal .dropdown-menu li.active, .btn-group-normal .dropdown-menu li:hover {
  background-color: #efeff7;
}

.btn-group-intable {
  display: block;
  width: 78px;
  line-height: 20px;
  font-weight: normal;
}

.btn-group-intable.separate .btn-default {
  background-color: #ea5947;
  border-color: #ea5947;
  color: #fff;
}

.btn-group-intable.separate .btn-default:focus {
  background-color: #ea5947;
  border-color: #ea5947;
  color: #fff;
}

.btn-group-intable.separate .dropdown-menu {
  width: auto;
  display: none;
  min-width: auto;
}

.btn-group-intable.separate .dropdown-menu li:hover {
  color: #444;
  background-color: #fff;
}

.btn-group-intable .btn-default {
  width: 100%;
  min-height: 32px;
  padding: 5px 12px 5px 6px;
  line-height: 20px;
  text-align: left;
  border-color: #e3e3e9;
  color: #ea5947;
  background-color: #fff;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  text-align: center;
}

.btn-group-intable .btn-default:focus {
  box-shadow: none;
  color: #ea5947;
  border-color: #e3e3e9;
}

.btn-group-intable .btn-default.disabled {
  color: #bbbbbb;
  background-color: #ededed;
}

.btn-group-intable .btn-default.disabled:hover {
  border-color: #e3e3e9;
}

.btn-group-intable .btn-default .caret {
  position: absolute;
  top: 13px;
  right: 4px;
  border-top-width: 5px;
}

.btn-group-intable .dropdown-menu {
  width: 100%;
  min-width: 100%;
  margin: 0;
  padding: 0;
  top: -1px;
  border-color: #e3e3e9;
  box-shadow: 0 0 10px #cbcbd1;
  overflow: hidden;
}

.btn-group-intable .dropdown-menu li {
  font-size: 14px;
  color: #444444;
  padding: 5px 6px;
  line-height: 22px;
  text-align: center;
  cursor: pointer;
}

.btn-group-intable .dropdown-menu li.active, .btn-group-intable .dropdown-menu li:hover {
  color: #fff;
  background-color: #ea5947;
}

.btn-group-intable .dropdown-menu li.active a, .btn-group-intable .dropdown-menu li:hover a {
  color: #fff;
}

.btn-group-intable .dropdown-menu li a {
  padding: 0;
}

.btn-group-intable .dropdown-menu li a:hover {
  color: #fff;
  background-color: transparent;
}

.btn-group-intable:hover .dropdown-menu {
  display: block;
}

.btn-group-intable.separate .dropdown-menu {
  top: 32px;
}

.btn-group-intable.separate .dropdown-menu li {
  word-break: keep-all;
}

.input-text {
  width: 280px;
  height: 40px;
  line-height: 40px;
  padding: 8px;
  border: none;
  box-sizing: border-box;
  outline: none;
  border-radius: 4px;
  background-color: #fff;
  vertical-align: middle;
}

.input-text::-webkit-input-placeholder {
  color: #969696;
}

.input-text:-moz-placeholder {
  color: #969696;
}

.input-text::-moz-placeholder {
  color: #969696;
}

.input-text:-ms-input-placeholder {
  color: #969696;
}

.input-text.disabled, .input-text:disabled {
  background-color: #ededed;
  cursor: not-allowed;
}

.input-text.disabled::-webkit-input-placeholder, .input-text:disabled::-webkit-input-placeholder {
  color: #bbbbbb;
}

.input-text.disabled:-moz-placeholder, .input-text:disabled:-moz-placeholder {
  color: #bbbbbb;
}

.input-text.disabled::-moz-placeholder, .input-text:disabled::-moz-placeholder {
  color: #bbbbbb;
}

.input-text.disabled:-ms-input-placeholder, .input-text:disabled:-ms-input-placeholder {
  color: #bbbbbb;
}

.input-text.error {
  border-color: #f60000;
}

.input-text:focus {
  border: none;
  outline: 0;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(170, 163, 202, 0.8);
}

.input-text.small {
  height: 28px;
  line-height: 28px;
}

.button-tab-group {
  display: inline-block;
  line-height: 1;
  border-radius: 4px;
  overflow: hidden;
  font-size: 0;
  vertical-align: middle;
  border: 1px solid #ea5947;
  background-color: #ea5947;
}

.button-tab-group:before {
  content: "";
  display: inline-block;
  margin-right: -1px;
}

.button-tab-group .button {
  margin-left: 1px;
  line-height: 32px;
  color: #ea5947;
  background-color: #fff;
  border: none;
  border-radius: 0;
  color: #ea5947;
  background-color: #fff;
  border-color: #e3e3e9;
}

.button-tab-group .button:hover {
  color: #fff;
  background-color: #ee7a6c;
  border-color: #ee7a6c;
}

.button-tab-group .button:active {
  color: #fff;
  background-color: #ea5947;
  border-color: #ea5947;
}

.button-tab-group .button.active {
  color: #fff;
  background-color: #ea5947;
}

.label-solid {
  width: 32px;
  text-align: center;
  line-height: 18px;
  font-size: 12px;
  border-radius: 2px;
  color: #fff;
}

.label-solid.label-homework {
  background-color: #61b1bd;
}

.label-solid.label-quiz {
  background-color: #c94a4a;
}

.label-solid.label-discussion {
  background-color: #407cd5;
}

.label-solid.label-qa {
  background-color: #66bcdc;
}

.label-solid.label-vote {
  background-color: #e9ce3a;
}

.label-solid.label-call {
  background-color: #8d77fb;
}

.label-hollow {
  padding: 0 2px;
  text-align: center;
  line-height: 18px;
  font-size: 12px;
  border-radius: 2px;
  color: #ea5947;
  border: solid 1px #ea5947;
}

.custom-operation-modal .modal-dialog {
  width: 800px;
}

@media (min-width: 768px) {
  .custom-operation-modal .modal-dialog {
    width: 800px;
  }
}

@media (min-width: 768px) {
  .custom-operation-modal .modal-dialog {
    width: 800px;
  }
}

.custom-operation-modal .modal-content {
  border: none;
  overflow: hidden;
}

.custom-operation-modal .modal-header {
  height: 42px;
  padding: 0 24px;
  border: none;
  color: #fff;
  background: url(../img/popup_top_bg.png) #ea5947 no-repeat center center;
  background-size: 100% 100%;
}

.custom-operation-modal .modal-title {
  font-size: 16px;
  line-height: 42px;
}

.custom-operation-modal .close {
  margin-top: 0;
  line-height: 42px;
  font-weight: normal;
  color: #fff;
  opacity: 0.8;
}

.custom-operation-modal .close:hover {
  opacity: 1;
}

.custom-operation-modal .close:focus {
  outline: none;
}

.custom-operation-modal .modal-body {
  padding: 0 24px;
}

.custom-operation-modal .modal-footer {
  height: 60px;
  padding: 14px 24px;
  text-align: center;
  border: none;
  background-color: #fff;
}

.custom-operation-modal .btn-confirm {
  margin-right: 44px;
}

.table-groups {
  /* 列表表格 */
}

.table-groups .table-header {
  padding: 18px 0;
  line-height: 20px;
}

.table-groups .table-header .th {
  float: left;
  font-weight: bold;
  width: 20%;
  padding: 0 10px;
}

.table-groups .table-header .th span {
  color: #969696;
  margin-left: 10px;
  font-size: 12px;
}

.table-groups .table-body > li {
  margin-bottom: 8px;
  background-color: #fff;
  border-radius: 4px;
}

.table-groups .table-body > li:hover {
  box-shadow: 0 0 10px rgba(170, 163, 202, 0.3);
}

.table-groups .table-body .td {
  float: left;
  height: 50px;
  vertical-align: middle;
  line-height: 50px;
  padding: 0 10px;
  word-break: break-all;
}

.table-groups .table-body .td label {
  margin-bottom: 0;
}

.table-groups .table-body .td > span {
  display: inline-block;
  line-height: 20px;
  vertical-align: middle;
}

.table-groups .table-body .td:after {
  content: '';
  width: 0;
  height: 100%;
  display: inline-block;
  vertical-align: middle;
}

.table-groups .table-body .item-name > span {
  max-height: 40px;
  overflow: hidden;
}

.files i {
  font-style: normal;
}

.files li {
  height: 46px;
  margin-top: 22px;
}

.files li .fileIcon {
  height: 100%;
  line-height: 48px;
  width: 46px;
  padding-left: 2px;
  overflow: hidden;
}

.files li .fileIcon .iconfont {
  font-size: 44px;
}

.files li .fileIcon img {
  max-width: 100%;
  height: auto;
}

.files li .fileInfo {
  margin-left: 14px;
  font-size: 12px;
  color: #444444;
  margin-top: 5px;
}

.files li .fileInfo .file-name {
  width: 290px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.files li .fileInfo .file-size {
  font-size: 12px;
  color: #969696;
  margin-top: 6px;
}

.files li .fileInfo .file-size .link-btn {
  color: #8d77fb;
  cursor: pointer;
  margin-left: 10px;
}

.tab-groups {
  display: inline-block;
  border: solid 1px #ea5947;
  border-radius: 4px;
  overflow: hidden;
  font-size: 14px;
}

.tab-groups .tab {
  float: left;
  width: 100px;
  margin-right: -1px;
  border-right: solid 1px #ea5947;
  color: #ea5947;
  display: inline-block;
  line-height: 30px;
  text-align: center;
  cursor: pointer;
}

.tab-groups .tab.selected {
  color: #fff;
  background-color: #ea5947;
}

.custom-checkbox .mark {
  position: absolute;
  top: 3px;
  left: -1px;
  z-index: 2;
  width: 15px;
  height: 15px;
  line-height: 13px;
  font-size: 14px;
  border: 1px solid #e3e3e9;
  border-radius: 2px;
  background-color: #fff;
}

.custom-checkbox .mark::before {
  position: absolute;
  top: 0;
  left: 0;
  display: none;
  color: #fff;
}

.custom-checkbox input[type=checkbox] {
  top: 4px;
  left: 0;
  padding: 0;
  margin: 0;
}

.custom-checkbox label:hover input + .mark {
  border-color: #ea5947;
}

.custom-checkbox label:hover input:disabled + .mark {
  border-color: #e3e3e9;
  cursor: not-allowed;
}

.custom-checkbox input:checked + .mark {
  border-color: #ea5947;
  background-color: #ea5947;
}

.custom-checkbox input:checked + .mark::before {
  display: block;
}

.custom-checkbox input:disabled + .mark {
  border-color: #e3e3e9;
  background-color: #ededed;
}

.custom-checkbox input:disabled + .mark::before {
  display: none;
}

.custom-checkbox input:disabled:checked + .mark {
  border-color: #e3e3e9;
  background-color: #ededed;
}

.custom-checkbox input:disabled:checked + .mark::before {
  display: block;
}

.custom-radio .mark {
  position: absolute;
  top: 3px;
  left: -1px;
  z-index: 2;
  width: 15px;
  height: 15px;
  line-height: 15px;
  font-size: 14px;
  border: 1px solid #e3e3e9;
  border-radius: 50%;
  background-color: #fff;
}

.custom-radio .mark::before {
  position: absolute;
  top: 4px;
  left: 4px;
  display: none;
  content: ' ';
  width: 5px;
  height: 5px;
  background-color: #fff;
  border-radius: 50%;
}

.custom-radio input[type=radio] {
  top: 4px;
  left: 0;
  padding: 0;
  margin: 0;
}

.custom-radio label:hover input + .mark {
  border-color: #ea5947;
}

.custom-radio label:hover input:disabled + .mark {
  border-color: #e3e3e9;
  cursor: not-allowed;
}

.custom-radio input:checked + .mark {
  border-color: #ea5947;
  background-color: #ea5947;
}

.custom-radio input:checked + .mark::before {
  display: block;
}

.custom-radio input:disabled + .mark {
  border-color: #e3e3e9;
  background-color: #ededed;
}

.custom-radio input:disabled + .mark::before {
  display: none;
}

.crumbs-groups {
  padding: 8px 0;
  line-height: 20px;
}

.crumbs-groups span {
  margin: 0 4px;
  color: #ea5947;
}

.crumbs-groups .back {
  display: inline-block;
  cursor: pointer;
}

.crumbs-groups .back i {
  color: #cbcbd1;
}

.crumbs-groups ul {
  display: inline-block;
}

.crumbs-groups ul li {
  display: inline-block;
  cursor: pointer;
}

.crumbs-groups ul li i {
  font-style: normal;
}

.crumbs-groups ul li.root-crumbs > i {
  display: none;
}

.rename-groups {
  display: inline-block;
  line-height: 30px;
  font-size: 14px;
}

.rename-groups input {
  width: 300px;
  padding: 0 6px;
  margin-right: 0;
  border-radius: 4px;
}

.rename-groups button {
  width: 32px;
  height: 32px;
  border-radius: 4px;
  border: none;
  background-color: #efeff7;
  vertical-align: middle;
  outline: none;
}

.rename-groups button:hover {
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 5px rgba(170, 163, 202, 0.65);
}

.rename-groups button.no {
  color: #f60000;
}

.rename-groups button.yes {
  color: #4dde20;
}

.rename-groups button i {
  margin: 0;
  font-size: 16px;
  line-height: 32px;
  font-weight: bold;
}

.icon-fujianleixingwenjianjia1 {
  color: #efcf4a;
}

.icon-fujianleixingppt {
  color: #f36666;
}

.icon-fujianleixingpdf {
  color: #f36666;
}

.icon-fujianleixingword {
  color: #529fff;
}

.icon-fujianleixingexcel {
  color: #7dccac;
}

.icon-fujianleixinghtml {
  color: #71d0ff;
}

.icon-fujianleixingqita1 {
  color: #c97943;
}

.icon-fujianleixingshipin {
  color: #efc756;
}

.icon-fujianleixingtupian {
  color: #d1469c;
}

.icon-fujianleixingyinpin {
  color: #859dd5;
}

.icon-fujianleixingyasuobao {
  color: #efce4a;
}

.icon-fujianleixingtxt {
  color: #ae9ae2;
}

#addTeacherMod .modal-dialog {
  width: 960px;
}

#addTeacherMod .modal-body {
  padding: 22px 24px 0;
  min-height: 200px;
  max-height: 600px;
  overflow: auto;
}

#addTeacherMod .addTea-ul {
  min-height: 290px;
  margin-bottom: 10px;
}

#addTeacherMod .addTea-ul li {
  float: left;
  width: 20%;
}

#addTeacherMod .addTea-ul li .tea-avatar {
  width: 32px;
  height: 32px;
  border-radius: 50%;
}

#addTeacherMod .addTea-ul li label {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.checkbox-group {
  position: relative;
  width: 18px;
  height: 18px;
  margin-bottom: 0;
}

.checkbox-group input {
  display: none;
}

.checkbox-group input + i {
  position: absolute;
  top: 0;
  left: 0;
  line-height: 16px;
  color: #fff;
  background-color: #fff;
  border: solid 1px #cbcbd1;
  border-radius: 3px;
  cursor: pointer;
}

.checkbox-group input:checked + i {
  color: #fff;
  background-color: #ea5947;
  border-color: #ea5947;
}

.seat-wra {
  display: none;
  width: 80%;
  min-width: 200px;
  margin: 0 auto;
  padding: 90px 0;
  text-align: center;
}

.seat-wra .pic {
  width: 100%;
  height: 175px;
  background-position: center bottom;
  background-repeat: no-repeat;
  background-size: auto auto;
  margin-bottom: 16px;
}

.seat-wra .description {
  font-size: 14px;
  color: #969696;
}

.seat-wra.empty, .seat-wra.no-content, .seat-wra.net-error, .seat-wra.sys-error {
  display: block;
}

.seat-wra.empty .pic {
  background-image: url(../../common/img/default-empty.png);
}

.seat-wra.no-content .pic {
  background-image: url(../../common/img/default-noContent.png);
}

.seat-wra.net-error .pic {
  background-image: url(../../common/img/default-netError.png);
}

.seat-wra.sys-error .pic {
  background-image: url(../../common/img/default-sysError.png);
}

.guide-backdrop {
  position: fixed;
  display: none;
  top: 81px;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.8);
}

.guide-groups {
  position: absolute;
  display: none;
  width: 400px;
  border-radius: 4px;
  background-color: transparent;
  box-shadow: 0 0px 10px rgba(0, 0, 0, 0.4);
}

.guide-groups:before {
  position: absolute;
  display: inline-block;
  content: "";
  border: solid 9px transparent;
}

.guide-groups.up:before {
  border-bottom-color: #99acfe;
  border-top-width: 0;
}

.guide-groups.left:before {
  border-right-color: #99acfe;
  border-left-width: 0;
}

.guide-groups .content {
  height: 310px;
  border-radius: 4px;
  background-color: #fff;
}

.guide-groups .content .text-area {
  padding: 24px;
  line-height: 1;
}

.guide-groups .content h4 {
  margin-top: 0;
  font-size: 20px;
  font-weight: bold;
}

.guide-groups .content div {
  color: #969696;
}

.guide-groups .content a {
  margin-top: 24px;
  color: #8d77fb;
  text-decoration: none;
}

.guide-groups .content span {
  margin-top: 24px;
  color: #969696;
}

.guide-groups.lib-guide:before {
  border-bottom-color: #99acfe;
  border-top-width: 0;
  margin-left: 56px;
}

.guide-groups.lib-guide .content {
  margin-top: 9px;
}

.guide-groups.course-guide {
  top: 0;
  left: 260px;
  z-index: 20;
}

.guide-groups.course-guide:before {
  top: 32px;
  margin-left: -9px;
  border-right-color: #ac98fe;
  border-left-width: 0;
}

.breadcrumb {
  position: relative;
  z-index: 2;
  margin-bottom: 16px;
  padding: 0;
  background-color: transparent;
}

.breadcrumb .breadcrumb-back {
  cursor: pointer;
}

.breadcrumb .iconfont {
  float: left;
  position: relative;
  top: 1px;
  margin-right: 6px;
  line-height: 20px;
  font-size: 24px;
  color: #cbcbd1;
}

.breadcrumb .primary-text {
  color: #ea5947;
}

.breadcrumb .cut-off-line {
  display: inline-block;
  margin: 0 6px;
  width: 2px;
  height: 16px;
  border-left: 2px solid #969696;
  vertical-align: text-bottom;
}

.breadcrumb > li {
  margin-right: -2px;
}

.breadcrumb > li + li:before {
  content: ">";
}

.breadcrumb .active {
  display: inline-block;
  vertical-align: middle;
  max-width: 160px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.breadcrumb .breadcrumb-step {
  display: inline-block;
  vertical-align: middle;
  max-width: 140px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  color: #ea5947;
  cursor: pointer;
}

.choose-class-mod .modal-dialog {
  width: 960px;
  max-width: 90%;
  margin-left: auto;
  margin-right: auto;
}

.choose-class-mod .modal-body {
  padding: 22px 24px 0;
  height: 480px;
  overflow: auto;
}

.choose-class-mod .choosetea-group {
  margin-right: 12px;
}

.choose-class-mod .choose-all-ckb {
  margin-top: 16px;
  margin-bottom: 10px;
}

.choose-class-mod .class-list {
  max-height: 360px;
  overflow: auto;
  padding-left: 2px;
}

.choose-class-mod .class-list .class-item {
  float: left;
  width: 50%;
  line-height: 20px;
  word-break: break-all;
  margin-top: 10px;
  margin-bottom: 10px;
  padding-right: 10px;
}

.class-list-empty {
  padding: 160px 0;
  text-align: center;
  color: #969696;
}
